# Generated by rust2rpm 20
%bcond_without check
%global debug_package %{nil}

%global crate ring

Name:           rust-%{crate}
Version:        0.16.20
Release:        %autorelease
Summary:        Safe, fast, small crypto using Rust

# https://github.com/briansmith/ring/issues/902
License:        ISC and OpenSSL and MIT

URL:            https://crates.io/crates/ring
Source:         %{crates_source}
# Initial patched metadata
# * drop dependencies that are specific to non-linux targets
Patch0:         ring-fix-metadata.diff

ExclusiveArch:  %{rust_arches}
# ring does not support s390x and ppc64le:
# https://bugzilla.redhat.com/show_bug.cgi?id=1869980
ExcludeArch:    s390x %{power64}

BuildRequires:  rust-packaging

%global _description %{expand:
Safe, fast, small crypto using Rust.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license LICENSE LICENSE-fiat
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+alloc-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+alloc-devel %{_description}

This package contains library source intended for building other packages which
use the "alloc" feature of the "%{crate}" crate.

%files       -n %{name}+alloc-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+dev_urandom_fallback-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+dev_urandom_fallback-devel %{_description}

This package contains library source intended for building other packages which
use the "dev_urandom_fallback" feature of the "%{crate}" crate.

%files       -n %{name}+dev_urandom_fallback-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+internal_benches-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+internal_benches-devel %{_description}

This package contains library source intended for building other packages which
use the "internal_benches" feature of the "%{crate}" crate.

%files       -n %{name}+internal_benches-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+once_cell-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+once_cell-devel %{_description}

This package contains library source intended for building other packages which
use the "once_cell" feature of the "%{crate}" crate.

%files       -n %{name}+once_cell-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+slow_tests-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+slow_tests-devel %{_description}

This package contains library source intended for building other packages which
use the "slow_tests" feature of the "%{crate}" crate.

%files       -n %{name}+slow_tests-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+test_logging-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+test_logging-devel %{_description}

This package contains library source intended for building other packages which
use the "test_logging" feature of the "%{crate}" crate.

%files       -n %{name}+test_logging-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+wasm32_c-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+wasm32_c-devel %{_description}

This package contains library source intended for building other packages which
use the "wasm32_c" feature of the "%{crate}" crate.

%files       -n %{name}+wasm32_c-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep
cp third_party/fiat/LICENSE LICENSE-fiat

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# * test files for some integration tests are not included in published crates
%cargo_test -- --lib
# * skip doctests on i686 to work around LLVM codegen issues
#   https://bugzilla.redhat.com/show_bug.cgi?id=2020861
%ifnarch %{ix86}
%cargo_test -- --doc
%endif
%endif

%changelog
%autochangelog
